@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&family=Source+Sans+Pro:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700;1,900&display=swap');
*{
    font-family: 'Source Sans Pro', sans-serif;;
}

:root {
    --accent-color: #EA5400;
    --main-color: #CBD6FF;
    --main-color-darker:#99aaee;
    --card-border-radius: 40px;
    --ctrl-border-radius: 10px;
    --ctrl-border-width: 0.4rem;
    --text-alignment-margin: calc(var(--ctrl-border-width) * 2.0);
    --box-shadow-lg: 0 0.1875rem 0.4375rem 0.1875rem rgba(3, 3, 3, 0.13), 0 0.6875rem 1.5rem 1rem rgba(3, 3, 3, 0.12);
    --box-shadow-md: 0 0.0625rem 0.0625rem 0rem rgba(3, 3, 3, 0.05), 0 0.25rem 0.5rem 0.25rem rgba(3, 3, 3, 0.06);
    --box-shadow-sm: 0 0.0625rem 0.125rem 0 rgba(3, 3, 3, 0.2);
}

#kc-header{
    width: 350px;
    height: 120px;
    margin-bottom: 2rem;
    justify-content: center;
    gap: 1.4rem;
    align-items: flex-end;
    box-sizing: border-box;
    display: flex;
    background-color: #fff6;
    box-shadow: 0px 0px 2.5rem 2.5rem #fff6;
}

#kc-header > img{
    height: 100%;
}

#kc-header-wrapper{
    height: max-content;
    font-size: 2.8rem;
    font-family: 'Roboto Condensed', sans-serif;
    padding-bottom: 0.6rem;
    font-weight: 300;
    color: var(--accent-color);
}

#kc-page-title{
    font-size: 1.4rem;
    font-style: normal;
    font-weight: 300;
    margin: auto;
    margin-left: var(--text-alignment-margin);
    margin-right: var(--text-alignment-margin);
}

#kc-info{
    margin-left: var(--text-alignment-margin);
    margin-right: var(--text-alignment-margin);
}

.login-pf-page{
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-image: url("../img/background.svg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    box-shadow: 0px 0px 70vh 20vh #fffa inset;
}

.pf-c-form__helper-text{
    margin-top: 1rem;
}

.pf-m-error{
    color: var(--accent-color);
    font-weight: 400;
}

.card-pf{
    width: 350px;
    min-height: 250px;
    padding: 25px;
    border-color:var(--main-color);
    border-width: 20px;
    border-radius: var(--card-border-radius);
    border-style: solid;
    /*box-shadow: var(--box-shadow-lg);*/
    background-color: #fffc;
    font-size: 1rem;
    font-weight: 100;
}
.form-label-wrapper{
    margin-bottom: 0.4rem;
    font-size: 1rem; 
    margin-left: var(--text-alignment-margin);
    margin-right: var(--text-alignment-margin);
}
.form-options-wrapper{
    display: inline;
    margin-left: var(--text-alignment-margin);
    margin-right: var(--text-alignment-margin);
}

a {
    color: var(--main-color-darker);
    text-decoration: none;
    font-weight: 400;
}

.form-group {
    margin-top: 1rem;
    margin-bottom: 0.6rem;
    width:100%;
}


.form-group > * {
    box-sizing: border-box;
}

.form-group > *:not(input, div){
    margin-left: var(--text-alignment-margin);
    margin-right: var(--text-alignment-margin);

}
.form-group input {
    box-sizing: border-box;
    border-color: var(--main-color);
    border-radius: var(--ctrl-border-radius);
    border-style: solid;
    border-width: var(--ctrl-border-width);
    font-size: 1.2rem;
    font-weight: 100;
    transition: all 0.5s ease;
}
.form-group input:not([type = "checkbox"]){
    width: 100%;
    height: 2.5rem;
}

.form-group input[type = "text"], 
.form-group input[type = "password"]{
    padding: var(--ctrl-border-width);
}

.form-group input[type = "submit"]{
    background-color: var(--main-color);
    color: #fff;
    font-weight: 600;
}

.form-group input[type = "submit"]:hover{
    border-color: var(--main-color-darker);
    background-color: var(--main-color-darker);
}

.pf-m-primary{
    width:100%;
}

#kc-form-options{
    display: flex;
    justify-content: space-between;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem; 
}

@supports(backdrop-filter: blur(0.18rem)){
    .card-pf {
        backdrop-filter: blur(0.18rem);
        background-color: #fff8;
    }
}


.dropdownbutton{
    position: fixed;
    display:block;
    right: 3rem;
    top: 0.8rem;
    z-index: 10;
}

/*.dropdownwrapper{

}*/

.dropdown{
    display: block;
}

.dropdown > a{
    color: var(--accent-color);
    padding-bottom: 0.3rem;
    display: block;
    transition: all 0.5s ease;
}

.dropdown > a::after{
    color: var(--accent-color);
    content: '↓';
    margin-left: 0.5rem;
    font-weight: 100;
}

.dropdown:hover{
    display:block;
}

.dropdown:hover .dropdownlist{
    display:block;
    border-top: 0.1rem solid var(--main-color);
}


.dropdownlist{
    position: absolute;
    padding-top: 0.3rem;
    margin: 0;
    left: 0;
    padding-left: 0 !important;
    list-style-type: none;
    display:none;
    transition: all 0.5s ease;
}


.dropdownlist:hover{
    display:block;
    list-style-type: none;
    border-top: 0.5rem solid var(--main-color);
}

.dropdownlistitem{
    margin-top: 0.8rem;
    outline: 0.4rem solid #fff0;
    transition: all 0.3s ease;
    border-radius: calc(var(--ctrl-border-radius) * 0.5);
}

.dropdownlistitem:hover{
    outline: 0.4rem solid var(--main-color);
    outline-offset: 0.2rem;
}

.dropdownitem{
    color: var(--accent-colory);
}